# $Revision: 1.17 $, $Date: 2010/11/17 08:14:53 $
# TODO:
# - update to 1.6.2

%bcond_without  javadoc         # don't build javadoc

%include	/usr/lib/rpm/macros.java

%define		srcname	wsdl4j
Summary:	Web Services Description Language Toolkit for Java
Summary(pl.UTF-8):	Język opisu usług WWW dla Javy
Name:		java-wsdl4j
Version:	1.5.1
Release:	3
License:	IBM Common Public License
Group:		Applications/Text
##cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/wsdl4j login
##cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/wsdl4j export -r wsdl4j-1_5_1 wsdl4j
Source0:	%{srcname}-%{version}-src.tar.gz
# Source0-md5:	ba2b623dadab131fff061410e8047eb7
URL:		http://sourceforge.net/projects/wsdl4j/
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	java-junit
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(jaxp_parser_impl)
Provides:	java(JSR109)
Provides:	java(JSR110)
Obsoletes:	wsdl4j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows
the creation, representation, and manipulation of WSDL documents
describing services. This codebase will eventually serve as a
reference implementation of the standard created by JSR110.

%description -l pl.UTF-8
Pakiet WSDL4J (Web Services Description Language for Java - język
opisu usług WWW dla Javy) pozwala na tworzenie, reprezentowanie i
obróbkę dokumentów WSDL opisujących usługi. Ta podstawa kodu może
służyć za wzorcową implementację standardu stworzonego przez JSR110.

%package javadoc
Summary:	Javadoc for %{srcname}
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu %{srcname}
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	wsdl4j-javadoc

%description javadoc
Javadoc for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

%build
required_jars="junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH

%ant %{!?with_java_sun:-Dbuild.compiler=extJavac} compile test

%{?with_javadoc:%ant javadocs}

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a build/lib/qname.jar $RPM_BUILD_ROOT%{_javadir}/qname-%{version}.jar
cp -a build/lib/wsdl4j.jar $RPM_BUILD_ROOT%{_javadir}/wsdl4j-%{version}.jar
ln -s qname-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/qname.jar
ln -s wsdl4j-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/wsdl4j.jar
ln -s wsdl4j-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsr109.jar
ln -s wsdl4j-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsr110.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc license.html
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-wsdl4j.spec,v $
Revision 1.17  2010/11/17 08:14:53  glen
- release 3

Revision 1.16  2010/04/18 16:03:38  pawelz
- don't force specific jdk
- updated java deps
- dropped P: wsdl4j

Revision 1.15  2009/08/19 11:18:32  pawelz
- remove duplicated BRs

Revision 1.14  2009/08/18 12:42:32  pawelz
- P: java(JSR109), java(JSR110)

Revision 1.13  2009/08/18 11:16:12  pawelz
- correct dirname for %setup macro

Revision 1.12  2009/08/18 11:12:31  pawelz
- rel 2
- unified

Revision 1.11  2009/04/03 15:31:50  pawelz
- s/name/srcname/

Revision 1.10  2009/03/19 18:43:25  glen
- typ

Revision 1.9  2009/03/19 17:41:54  pawelz
- moved from wsdl4j
- added with_java_sun bcond
- dropped export SHELL=/bin/sh (no longer needed)

Revision 1.8  2009/02/23 16:10:47  pawelz
- unified java package
- use java-gcj-compat-devel
- rel 1

Revision 1.7  2007/04/17 23:41:31  glen
- fix symlinks

Revision 1.6  2007/04/17 22:21:01  glen
-  unify java package; builds now

Revision 1.5  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/05/19 11:28:20  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.2  2006/05/17 20:32:09  qboosh
- pl

Revision 1.1  2006/05/10 21:32:29  glen
- new, based on jpackage
